<?php include 'include/header.html'; ?>

<center>
<table width="680"><tr><td><img src="img/who.gif"></td></tr></table>
</center>

<?php include 'include/menu.php'; ?>

Monit is an open-source project consisting of non-paid volunteers who
contribute work and code to the project in their own free time. The
project consists of a core team of developers and many contributors
from around the world. This page lists all of the people who have gone
the extra mile and have contributed to the monit project. If
<u>you</u> want to contribute code or documentation to the project you
should join the <a
href="http://lists.nongnu.org/mailman/listinfo/monit-dev">developer
mailing list</a> and post your patch or code there.


<P>We ask that you please do not send us emails privately asking for
support. Instead, we have setup a <a
href="http://lists.nongnu.org/mailman/listinfo/monit-general">mailing
list</a> which contain many individuals who will help answer detailed
requests for help. The benefit of using a mailing lists over private
communication is that it is a shared resource where others can also
learn from common mistakes.
<P>

<div style="background: #f0f0f0; padding: 0px 0px 2px 10px; border: 1px dotted #ccc;">

 <h2>The monit project team:</h2>
 
 <P>
  <a href="http://www.tildeslash.com/CurriculumVitae.html">
  <B>Jan-Henrik Haukeland</B></a> (hauk at tildeslash!com)<BR>
  The Project Manager and prime mover
 </P>

 <P>
  <B>Martin Pala</B> (martinp at tildeslash!com)<BR>
  Specialist for planning, strategy and mixing drinks
 </P>

 <P>
  <B>Rory Toma</B> (rory at digeo!com)<BR>
  VP of Run Level 9
 </P>
 
 <P>
  <a 
  href="http://www.iei.tu-clausthal.de/methods/mitarbeiter_seite_en?staff_id=CH">
  <B>Christian Hopp</B></a> (chopp at iei!tu-clausthal!de)<BR>
  Research exotic stuff and brews interesting tea
 </P>

</div>

<div style="background: #ffffff; padding: 0px 0px 2px 10px; border: 1px dotted #ccc;">

 <h2>Other major contributors </h2>

 <b>Mark Ferlatte</B> (ferlatte at cryptio!net)<BR> Fixed
 our autoconf system, contributed bugfixes and many good ideas.

 <p><b>Igor Homyakov</B> (homyakov at altlinux!ru)<BR> Contributed
 several protocol tests, bugfixes and many good ideas.

 <p><b>Thomas "Leppo" Oppel</B> (oppel at kbis de)<br>
  Created Suse Packages for monit and managed packages at Savannah. Old member of the monit project team. 
</div>


<div style="background: #f0f0f0; padding: 0px 0px 0px 10px; line-height: 1,5; border: 1px dotted #ccc;">

 <h2>Contributors in alphabetical order:</h2>

<ul style="list-style-type: square;">
<li>Michael Amster (mamster at webeasy!com)<p>
<li>Olivier Beyssac (ob at r14!freenix!org)<p>
<li>Marco Bisioli (bisioli at adriacom!it)<p>
<li>Joe Bryant (JBryant at RiteAid!com)<p>
<li>David Fletcher  (david at megapico!co!uk)<p>
<li>Peter Holdaway (pholdaway at technocom-wireless!com)<p>
<li>Mostafa Hosseini (mostafah at oeone!com)<p>
<li>Francois Isabelle (Francois!Isabelle at ca!kontron!com)<p>
<li>Oliver Jehle (oliver!jehle at monex!li)<p>
<li>Kianusch Sayah Karadji (kianusch!sayah!karadji at sk-tech!net)<p>
<li>Arkadiusz Miskiewicz (arekm at pld-linux!org)<p>
<li>Rick Robino (rrobino at wavedivision!com)<p>
<li>Richard Schwaninger (risc at vmilch!at)<p>
<li>Margarida Sequeira (margarida at openbsd!org)<p>
</ul>
</div>

<h1>Thank You!</h1> Thanks to everyone who has contributed to the
monit project and to all those that are using the monit software! 
Thanks to everyone on the monit mailing lists for actively creating a
community around the project and for helping out with answers and
sharing tips and hacks.

<h3>Getting involved</h3>

The monit project operates on a meritocracy: the more you do, the more
responsibility you will obtain. If you would like to get involved, the
first step is to join the <A HREF=
"http://mail.freesoftware.fsf.org/mailman/listinfo/monit-general">mailing
lists</A>.

<p>The next step is to use the product, report bugs, making feature
requests, et cetera. <A
HREF="http://savannah.nongnu.org/cvs/?group=monit">Download the
developer source code via anonymous CVS</A>, get familiar with the
code base and contribute code or documentation patches. To join the
monit project team you must have contributed significant code to the
project and been an active member of the mailing lists for some
time. If you have done this and want to join the project, let us
know. As a project member you will get to vote and decide on future
directions of the project. You will also get write access to the CVS
repository.


<h3>Decision Making</h3>

All Contributors are encouraged to participate in decisions, but
the decision itself is made by those that have Committer status
in the Project. I.e. write access to the CVS repository. 
In other words, the Project is a "Minimum Threshold Meritocracy".

<p>Each vote can be made in one of three flavors:

<table id="content" cellspacing=5>
<tr>
<td valign=top><h3>+1</h3></td>
<td>
"Yes," "Agree," or "the action should be performed." On some
         issues this is only binding if the voter has tested the
         action on their own system(s). 
</td>
</tr>
<tr>
<td valign=top><h3>0</h3></td>
<td>
"Abstain," "no opinion". An abstention may have detrimental
         effects if too many people abstain.
</td>
</tr>
<tr>
<td valign=top><h3>-1</h3></td>
<td>
No." On issues where consensus is required, this vote counts
         as a veto. All vetos must contain an explanation of why the
         veto is appropriate. Vetos with no explanation are void. No
         veto can be overruled. If you disagree with the veto, you
         should lobby the person who cast the veto. Voters intending
         to veto an action item should make their opinions known to
         the group immediately so that the problem can be remedied as
         early as possible.
</td>
</tr>
</table>


<?php include 'include/footer.html'; ?>
